# UpdateIssuer

Update an issuer

`PUT /1099/issuers/{id}`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Issuers 1099
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Issuers%201099/UpdateIssuer/

## Description

Update an issuer (also known as a Payer).

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | Id of the issuer to update |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Issuer updated |  |
| 400 | Bad request (e.g., invalid sort key) | `ErrorResponse` |
| 401 | Unauthorized |  |
| 404 | Resource Not Found |  |

## Example Request

```bash
curl -X PUT "https://api.sbx.avalara.com/avalara1099/1099/issuers/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```